Bug 816166 - nslookup exits with zero return value when DNS server is not accessible
nslookup exits with zero return value when DNS server is not accessible
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
16
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 07:54 EDT by Jan Stodola
Modified: 2013-04-30 19:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 816164
Environment:
Last Closed: 2012-05-22 05:27:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Stodola 2012-04-25 07:54:47 EDT
+++ This bug was initially created as a clone of Bug #816164 +++

Description of problem:
nslookup exits with zero return value even when a query fails (DNS server doesn't respond): 

[root@rtt5 ~]# rpm -qf `which nslookup`
bind-utils-9.8.2-0.7.rc1.el6.s390x
[root@rtt5 ~]# nslookup 11.22.33.44 172.16.1.1
;; connection timed out; trying next origin
;; connection timed out; trying next origin
;; connection timed out; trying next origin
;; connection timed out; no servers could be reached

[root@rtt5 ~]# echo $?
0

Compare with the "host" command:
[root@rtt5 ~]# host 11.22.33.44 172.16.1.1
;; connection timed out; no servers could be reached
[root@rtt5 ~]# echo $?
1

Version-Release number of selected component (if applicable):
bind-utils-9.8.2-0.7.rc1.el6

How reproducible:
always

Steps to Reproduce:
1. nslookup 11.22.33.44 172.16.1.1
2. echo $?
  
Actual results:
0

Expected results:
non-zero value
Comment 1 Jan Stodola 2012-04-25 07:55:47 EDT
Also reproduced on F16, bind-utils-9.8.2-0.4.rc2.fc16.x86_64
Comment 2 Adam Tkac 2012-05-22 05:27:06 EDT
Fixed in bind-9.9.0-6.fc18. Fix will be backported to F17 but I'm not going to fix this issue in Fedora 16.

Note You need to log in before you can comment on or make changes to this bug.